Skip to main content
GET
/
api
/
v1
/
tenant
/
telemetry
Telemetry data from Prometheus
curl --request GET \
  --url https://api.example.com/api/v1/tenant/telemetry \
  --header 'Authorization: Bearer <token>'
{
  "status": "<string>",
  "isPartial": true,
  "data": {
    "resultType": "<string>",
    "result": [
      {
        "metric": {},
        "values": [
          [
            "<unknown>"
          ]
        ]
      }
    ]
  },
  "stats": {
    "seriesFetched": "<string>",
    "executionTimeMsec": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Query Parameters

end
string

Ending timestamp of the time range for query evaluation. If the end isn’t set, then the end is automatically set to the current time

Example:

"now"

query
string

MetricsQL expression query

Example:

"sum(rate(haas_interceptor_messages_succeeded_total))"

start
string

Starting timestamp of the time range for query evaluation

Example:

"-1d"

step
string

The interval between data points

Example:

"1h"

Response

200 - application/json

OK

status
string
isPartial
boolean
data
object
stats
object